2007-12-22 Lateef Alabi-Oki <mystilleef@gmail.com>

	* New Save system
	* automatic word completion tweaks
	* remember window position and size for blank windows (rockalite)
	* proper use of tabs/spaces depending on user configuration when inserting templates (rockalite)
	* performance improvements
	* fix crasher bug after saves
	* Addressed bugs 1837941 1834492 1833757 1832650 1829035 1813341 1813334 1808136 1777273 1740190

2007-06-06 Lateef Alabi-Oki <mystilleef@gmail.com>

	* Allow open dialog to open multiple documents

2007-06-06 Lateef Alabi-Oki <mystilleef@gmail.com>

	* Add encoding selection to open/save dialog

2007-06-02 Lateef Alabi-Oki <mystilleef@gmail.com>

	* Automatic completion now takes into account words in all documents
	* New paragraph operations
		- Press (alt-p) to select a paragraph
		- Press (alt-q) to reflow, or refill, a paragraph
		- Press (alt-Up) to move cursor to previous paragraph
		- Press (alt-Down) to move cursor to next paragraph
	* New navigation operations
		- Press (ctrl-Up) to scroll document up.
		- Press (ctrl-Down) to scroll document down.
		- Press (alt-m) to center the current line.
	* New line operation
		- Press (ctrl-shift-d) to duplicate a line or selected lines.
	* Dutch translation by Filip Vervloesem
	* Swedish translation by Daniel Nylander
	* Addressed bugs #1691125, #1701252, #1714001, #1720989

2007-05-16 Lateef Alabi-Oki <mystilleef@gmail.com>

	* Fixed automatic completion bug that prevents cursor movement
	* New logo and window icon.
	* Addressed bugs #1718133 #1714001 #1717392

2007-05-13 Lateef Alabi-Oki <mystilleef@gmail.com>

	* Brazilian Portuguese translation by Leonardo Fontenelle
	* More performance tweaks
	* Fixed AMD64 specific issues
	* Fixed several crasher bugs
	* Addressed bugs #1716591 #1714040 #1714002 #1696161 #1695328
	#1693263 #1691125 #1686368

2007-04-28 Lateef Alabi-Oki <mystilleef@gmail.com>

	* Don't overwrite folders or files when renaming files
	* Fixes in French translation by Hanusz leszek
	* Fixes in printing plugin by Peter Gordon (codergeek)
	* More performance tweaks

2007-03-31 Lateef Alabi-Oki <mystilleef@gmail.com>

	* Fixed bugs in automatic word completion system.

2007-03-14 Lateef Alabi-Oki <mystilleef@gmail.com>

	* Extend the editor via python plugins
	* Automatic correction or replacement
	* New template system
	* Search within selection
	* File modification alert
	* Syntax color switcher
	* New minimalist interface (toggle ctrl - alt -m)
	* Performance optimizations especially with Psyco installed.
	* Squashed all non-feature request bugs in the database.

2006-11-04 Lateef Alabi-Oki <mystilleef@gmail.com>

	* Rewrite of Scribes

2006-10-06  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add intl, po.
	* configure.ac (AC_CONFIG_FILES): Add intl/Makefile, po/Makefile.in.

2006-10-06  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add intl.
	* configure.ac (AC_CONFIG_FILES): Add intl/Makefile.

2006-10-06  gettextize  <bug-gnu-gettext@gnu.org>

	* m4/codeset.m4: New file, from gettext-0.14.6.
	* m4/gettext.m4: New file, from gettext-0.14.6.
	* m4/glibc2.m4: New file, from gettext-0.14.6.
	* m4/glibc21.m4: New file, from gettext-0.14.6.
	* m4/iconv.m4: New file, from gettext-0.14.6.
	* m4/intdiv0.m4: New file, from gettext-0.14.6.
	* m4/intmax.m4: New file, from gettext-0.14.6.
	* m4/inttypes.m4: New file, from gettext-0.14.6.
	* m4/inttypes_h.m4: New file, from gettext-0.14.6.
	* m4/inttypes-pri.m4: New file, from gettext-0.14.6.
	* m4/isc-posix.m4: New file, from gettext-0.14.6.
	* m4/lcmessage.m4: New file, from gettext-0.14.6.
	* m4/lib-ld.m4: New file, from gettext-0.14.6.
	* m4/lib-link.m4: New file, from gettext-0.14.6.
	* m4/lib-prefix.m4: New file, from gettext-0.14.6.
	* m4/longdouble.m4: New file, from gettext-0.14.6.
	* m4/longlong.m4: New file, from gettext-0.14.6.
	* m4/nls.m4: New file, from gettext-0.14.6.
	* m4/po.m4: New file, from gettext-0.14.6.
	* m4/printf-posix.m4: New file, from gettext-0.14.6.
	* m4/progtest.m4: New file, from gettext-0.14.6.
	* m4/signed.m4: New file, from gettext-0.14.6.
	* m4/size_max.m4: New file, from gettext-0.14.6.
	* m4/stdint_h.m4: New file, from gettext-0.14.6.
	* m4/uintmax_t.m4: New file, from gettext-0.14.6.
	* m4/ulonglong.m4: New file, from gettext-0.14.6.
	* m4/wchar_t.m4: New file, from gettext-0.14.6.
	* m4/wint_t.m4: New file, from gettext-0.14.6.
	* m4/xsize.m4: New file, from gettext-0.14.6.

2006-10-05  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add intl.
	* configure.ac (AC_CONFIG_FILES): Add intl/Makefile.

2006-10-05  gettextize  <bug-gnu-gettext@gnu.org>

	* m4/codeset.m4: New file, from gettext-0.14.6.
	* m4/gettext.m4: New file, from gettext-0.14.6.
	* m4/glibc2.m4: New file, from gettext-0.14.6.
	* m4/glibc21.m4: New file, from gettext-0.14.6.
	* m4/iconv.m4: New file, from gettext-0.14.6.
	* m4/intdiv0.m4: New file, from gettext-0.14.6.
	* m4/intmax.m4: New file, from gettext-0.14.6.
	* m4/inttypes.m4: New file, from gettext-0.14.6.
	* m4/inttypes_h.m4: New file, from gettext-0.14.6.
	* m4/inttypes-pri.m4: New file, from gettext-0.14.6.
	* m4/isc-posix.m4: New file, from gettext-0.14.6.
	* m4/lcmessage.m4: New file, from gettext-0.14.6.
	* m4/lib-ld.m4: New file, from gettext-0.14.6.
	* m4/lib-link.m4: New file, from gettext-0.14.6.
	* m4/lib-prefix.m4: New file, from gettext-0.14.6.
	* m4/longdouble.m4: New file, from gettext-0.14.6.
	* m4/longlong.m4: New file, from gettext-0.14.6.
	* m4/nls.m4: New file, from gettext-0.14.6.
	* m4/po.m4: New file, from gettext-0.14.6.
	* m4/printf-posix.m4: New file, from gettext-0.14.6.
	* m4/progtest.m4: New file, from gettext-0.14.6.
	* m4/signed.m4: New file, from gettext-0.14.6.
	* m4/size_max.m4: New file, from gettext-0.14.6.
	* m4/stdint_h.m4: New file, from gettext-0.14.6.
	* m4/uintmax_t.m4: New file, from gettext-0.14.6.
	* m4/ulonglong.m4: New file, from gettext-0.14.6.
	* m4/wchar_t.m4: New file, from gettext-0.14.6.
	* m4/wint_t.m4: New file, from gettext-0.14.6.
	* m4/xsize.m4: New file, from gettext-0.14.6.
	* Makefile.am (SUBDIRS): Add po.
	* configure.ac (AC_CONFIG_FILES): Add po/Makefile.in.

2006-09-22  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (EXTRA_DIST): Add m4/ChangeLog.

2006-09-22  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add intl, po.
	* configure.ac (AC_CONFIG_FILES): Add intl/Makefile, po/Makefile.in.

2006-08-21  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (EXTRA_DIST): Add config.rpath.

2006-08-21  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add intl, po.
	(EXTRA_DIST): Add subdir/config.rpath.
	* configure.ac (AC_CONFIG_FILES): Add intl/Makefile, po/Makefile.in.

2006-08-04  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add intl, po.
	(EXTRA_DIST): Add subdir/config.rpath, m4/ChangeLog.
	* configure.ac (AC_CONFIG_FILES): Add intl/Makefile, po/Makefile.in.

2006-08-03  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (EXTRA_DIST): Add subdir/config.rpath, subdir/mkinstalldirs.

2006-08-03  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add intl, po.
	(ACLOCAL_AMFLAGS): New variable.
	(EXTRA_DIST): Add config.rpath, mkinstalldirs, m4/ChangeLog.
	* configure.ac (AC_CONFIG_FILES): Add intl/Makefile, po/Makefile.in.

2005-11-03  Lateef Alabi-Oki <mystilleef@gmail.com>

	*Bookmarks allow you to mark important lines in a document and
	navigate to them quickly and efficiently. This release features a
	bookmark browser. You can display the bookmark browser by pressing
	(control - b). The bookmark browser provides a visual alternative
	to search and navigating to bookmarks in a document quickly and
	efficiently. Press (control - d) to bookmark a line. See the manual
	for other bookmark operations.

	*Permission issues caused by GNOME-VFS problems in gnome-python-2.15
	have been fixed.

2005-10-03 Lateef Alabi-Oki <mystilleef@gmail.com>

	*The automatic completion system has been enhanced to
	behave robustly under all conditions, especially when
	editing very large files. The enhancements also makes
	the completion system faster, more efficient and
	scalable. In addition, words containing dash ("-")
	characters will now be recognized as a unit and
	automatically completed when appropriate.

	*You can now open multiple files via drag and drop. In
	addition, you can now drag and drop selected text within
	documents.

	*The word selection behavior has been tweaked to enable
	you to select words that contain underscore ("_") or dash
	("-") characters. You can press alt-w to select a word.
	See the manual(F1) for more selection operations.

	*Undo/Redo stack corruptions triggered by line operations
	have been fixed.


2005-09-06 Lateef Alabi-Oki <mystilleef@gmail.com>

	* Fix inability to launch a new instance of the text editor when clicking
	the new file toolbar button bug discovered by Ulrik Sverdrup.


2005-09-04 Lateef Alabi-Oki <mystilleef@gmail.com>

	* Updated German translation by Maximilian Baumgart

	* Updated Brazilian Portuguese translation by Leonardo F. Fontenelle

	* Fixed undo/redo bug discovered by Tom Czubinski

	* Fixed drag and drop bug discovered by Ulrik Sverdrup

	* Fixed readonly bug discovered by Ulrik Sverdrup

	* Fixed inability to open Ruby/Javascript file bug
	discovered by Timothée Peignier

	* Fixed bookmark bug

	* Minor startup optimizations

	* Minor file loading optimizations

2005-08-25 Lateef Alabi-Oki <mystilleef@gmail.com>

	* Implemented a template system popularly called snippets

	* Implemented syntax color editor

	* Press F3 to toggle readonly mode on or off

	* Press alt-shift-t to convert tabs to spaces

	* Press alt-b to select text inside brackets, braces and
	parenthesis

	* Select a text and press any opening bracket, single or
	double quote, brace or parenthesis to automatically
	enclose the selected text in the closing pair

	* Press the escape key to move the cursor out of a
	bracket region after an automatic bracket completion.

	* Press the closing pair of an opening bracket to
	move the cursor out of a bracket region immediately
	after an automatic bracket completion

	* Automatic word completion list is now sorted based on
	the number of occurence of each word

	* Bookmarks are now preserved and persistent

	* Encodings of each file are now preserved and
	persistent

	* Automatic word completion window now dynamically
	resizes and positions itself inside the text editor
	and never outside it

	* Windows and dialogs are now resolution independent

	* Improved line operation behavior

	* Fixed preferences bugs

	* Fixed GConf bugs

	* Fixed search bugs

	* Fixed feedback system bugs

	* Fixed open dialog filter bugs

	* Fixed progress bar bugs

	* Fixed various file loading bugs

	* Fixed position remembering bugs

	* Fixed drag and drop bugs

	* Fixed encoding bugs

	* Fixed word completion bugs

	* Fixed GConf Schema bugs (Thanks to Fryderyk Dziarmagowski)

	* Fixed annoying terminal output bugs

	* HIG love for dialogs and windows

	* French translation by Gautier Portet

	* Italian translation by Stefano Esposito

	* Updated German translation by Maximilian Baumgart

2005-08-21 Lateef Alabi-Oki <mystilleef@gmail.com>

	* Implemented automatic word completion

	* Implemented automatic bracket completion and smart
	insertion

	* Implemented bookmarks

	* Press control-d to bookmark a line

	* Press alt-right to move to the next bookmark

	* Press alt-left to move to the previous bookmark

	* Press alt-delete to remove a bookmark on a line

	* Press alt-shift-delete to remove all bookmarks

	* You can now open and save files in different character
	encoding

	* New artwork by Alexandre Moore

	* Updated Brazillian Portuguese translation by Leonardo
	F. Fontenelle

	* Updated Russian translation by Paul Chavard

	* German translation by Maximilian Baumgart

	* Fixed bug in startup script

	* Fixed saving bug

	* Proper credits to contributors in about dialog


2005-08-14 Lateef Alabi-Oki <mystilleef@gmail.com>

	* Brazilian Portuguese translation by Leonardo F. Fontenelle

	* Russian translation by Paul Chavard

	* You can now swap the case of selected text by pressing
	(Alt - Shift - down)

	* You can now capitalize a selected text by by pressing
	(Alt - Shift - up)

	* Reverted a behavior that opens new editor windows
	centered on your desktop.

	* Improved cursor behavior and feedback.

	* Improved space removing behavior to support multiline
	operations.

	* Improved case changing behavior.

	* Improved indentation behavior.

	* Improved join line behavior.

	* Fixed case bug for non-ascii characters.

	* Fixed bug in startup script.

	* Fixed a few bugs with readonly mode behavior.

	* Facilities for internationalization and localization
	are now in place. Translators are needed.

2005-08-01 Lateef Alabi-Oki <mystilleef@gmail.com>

	* The editor now remembers the window state, position
	and size of each file you edit.

	* The editor now remembers the last line and cursor
	position of each file you edit.

	* The editor now opens windows centered on your display.

	* The editor now frees up the shell terminal when
	launched from it.

	* The editor now displays a progress bar for files that
	take more than a second to load.

	* A new feedback system has been implemented. Icons
	indicating user operations and the editor's mode are now
	displayed in the statusbar.

	* Tooltips for the toolbar buttons now contain shortcut
	keys associated with them.

	* You can now use the editor in fullscreen mode by
	pressing F11 to activate the mode and pressing it
	once more to deactivate it.

	* You can now turn on/off spell checking by pressing F6.

	* You can indent or unindent line or lines by pressing
	(Ctrl - T) or (Ctrl -Shift - T) respectively. The
	command for this function is also available in the popup
	menu.

	* You can now find matching brackets by pressing
	(Ctrl - b). The command for this function is also
	available in the popup menu.

	* You can now delete a line by pressing (Alt - d).

	* You can now join a line by pressing (Alt - j).

	* You can now open a line by the current line by
	pressing (Alt - o).

	* You can now open a line above the current line by
	pressing (Alt - Shift - o).

	* You can now delete text from the cursor to the end of
	line by pressing (Alt - End).

	* You can now delete text from the cursor to the
	beginning of a line by pressing (Alt - Home).

	* You can now select a line by pressing (Alt - l)

	* You can now select a sentence by pressing (Alt - s)

	* You can now select a word by pressing (Alt - w)

	* You can now select a paragraph by pressing (Alt -p).

	* You can now remove all spaces at the end of a line by
	pressing (Alt - r)

	* You can now remove all spaces at the beginning of a
	line by pressing (Alt - Shift - r)

	* You can now changed selected text from lowercase to
	uppercase by pressing (Alt - Up)

	* You can now change selected text from uppercase to
	lowercase by pressing (Alt - Down)

	* Readonly mode has been improved to enhance readability
	and eliminate distractions.

	* The entry field in the findbar and replacebar can now
	be focused via access keys.

	* Command line operations have been implemented. Current
	options include --newfile (-n), --readonly (-r), --version
	(-v) and --help (-h). Type 'scribes --help' at the prompt
	in your shell terminal for more information.

	* The editor now adheres to most of the GNOME Human
	Interface Guide, where it makes sense.

	* The editor's help manual has been updated.

	* Facilities to support internationalization and
	localization are now in place. Translators are needed.

2005-07-21 Lateef Alabi-Oki <mystilleef@gmail.com>

	* Initial release
